﻿@model IEnumerable<FirstMVCAppMy.UI.Models.OrderFromBucket.OrderFromBucketModel>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.UserName)
            </th>
            @*<th>
                @Html.DisplayNameFor(model => model.ProductBucket)
            </th>*@
            <th>
                @Html.DisplayNameFor(model => model.CreatedOrder)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.TotalAmount)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.UserName)
            </td>
            @*<td>
                @Html.DisplayFor(modelItem => item.ProductBucket)
            </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.CreatedOrder)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TotalAmount)
            </td>
            <td>
                <a asp-controller="OrderFromBucket" asp-action="Details" asp-route-id="@item.Id">Details</a>
            </td>
        </tr>
}
    </tbody>
</table>
